package de.unirostock.sems.XmlFileServerClient.exceptions;

/**
 * The modelUri could not resolved to a xml document.
 *
 */
public class ModelNotFoundException extends ModelException {
	
	public static final String ID = "MODNFND";
	
	private static final long serialVersionUID = -1155965205817458215L;

	public ModelNotFoundException() {
		super();
	}

	public ModelNotFoundException(String message) {
		super(message);
	}

	public ModelNotFoundException(Throwable cause) {
		super(cause);
	}

	public ModelNotFoundException(String message, Throwable cause) {
		super(message, cause);
	}

	public ModelNotFoundException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
