package de.unirostock.sems.XmlFileServerClient.exceptions;

/**
 * The Uri could not resolved. Either a syntactical issue or the host and/or scheme does not match to the XmlFileServer.
 *
 */
public class UnsupportedUriException extends Exception {
	
	public static final String ID = "INVURI";
	private static final long serialVersionUID = -7662026112262722812L;

	public UnsupportedUriException() {
		super();
	}

	public UnsupportedUriException(String message) {
		super(message);
	}

	public UnsupportedUriException(Throwable cause) {
		super(cause);
	}

	public UnsupportedUriException(String message, Throwable cause) {
		super(message, cause);
	}

	public UnsupportedUriException(String message, Throwable cause,
			boolean enableSuppression, boolean writableStackTrace) {
		super(message, cause, enableSuppression, writableStackTrace);
	}

}
